#version 330

#pragma vertex_shader

in vec3 vertex;
in vec2 texCoord;
in vec4 colour;
out vec2 uv;
out vec4 col;
uniform mat4 transform;
void main() {
	gl_Position = transform * vec4(vertex, 1.0);
	uv = texCoord;
	col = colour.bgra;
}

#pragma fragment_shader

in vec2 uv;
in vec4 col;
out vec4 fragment;
uniform sampler2D diffuse;
void main() {
	vec4 tex = texture(diffuse, uv);
	fragment = tex * tex.a * col;
}



